require 'conjur/webserver/renderer'

# use our own runner template
module Jasmine
  def self.runner_template
    File.read(File.join(File.dirname(__FILE__), "run.html.erb"))
  end
end

Jasmine.configure do |config|
  class << config
    def renderer
      @renderer ||= Conjur::WebServer::Renderer.new src_dir
    end

    def method_missing *a, &b
      renderer.send(*a, &b)
    rescue NoMethodError
      super
    end
  end
end
